/*
 *  gbe - gameboy emulator
 *  Copyright (C) 1999  Chuck Mason, Steven Fuller
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 *
 *  Chuck Mason <chuckjr@sinclair.net>
 *  Steven Fuller <relnev@atdot.org>
 */
#ifndef __KEYPAD_H
#define __KEYPAD_H

#define GBE_START 0x80
#define GBE_SELECT 0x40
#define GBE_B 0x20
#define GBE_A 0x10
#define GBE_UP 0x04
#define GBE_DOWN 0x08
#define GBE_LEFT 0x02
#define GBE_RIGHT 0x01

#define GBE_O_ESCAPE 0x100

extern unsigned char current_joypad;

void joypad_init();
void joypad_update();
void joystick_read();
void joypad_press(int);
void joypad_release(int);

#endif
