/*
 *  gbe - gameboy emulator
 *  Copyright (C) 1999  Chuck Mason, Steven Fuller
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 *
 *  Chuck Mason <chuckjr@sinclair.net>
 *  Steven Fuller <relnev@atdot.org>
 */
#ifndef __REGS_H
#define __REGS_H

#define VBLANK_INT 0x0040

#define JOYPAD  (gameboy_memory[15][0xF00])
#define SIODATA (gameboy_memory[15][0xF01])
#define SIOCONT (gameboy_memory[15][0xF02])
#define DIVIDER (gameboy_memory[15][0xF04])
#define TIMECNT (gameboy_memory[15][0xF05])
#define TIMEMOD (gameboy_memory[15][0xF06])
#define TIMCONT (gameboy_memory[15][0xF07])
#define IFLAGS  (gameboy_memory[15][0xF0F])
#define SNDREG10 (gameboy_memory[15][0xF10])
#define SNDREG11 (gameboy_memory[15][0xF11])
#define SNDREG12 (gameboy_memory[15][0xF12])
#define SNDREG13 (gameboy_memory[15][0xF13])
#define SNDREG21 (gameboy_memory[15][0xF16])
#define SNDREG22 (gameboy_memory[15][0xF17])
#define SNDREG23 (gameboy_memory[15][0xF18])
#define SNDREG24 (gameboy_memory[15][0xF19])
#define SNDREG30 (gameboy_memory[15][0xF1A])
#define SNDREG31 (gameboy_memory[15][0xF1B])
#define SNDREG32 (gameboy_memory[15][0xF1C])
#define SNDREG33 (gameboy_memory[15][0xF1D])
#define SNDREG34 (gameboy_memory[15][0xF1E])
#define SNDREG41 (gameboy_memory[15][0xF20])
#define SNDREG42 (gameboy_memory[15][0xF21])
#define SNDREG43 (gameboy_memory[15][0xF22])
#define SNDREG44 (gameboy_memory[15][0xF23])
#define SNDREG50 (gameboy_memory[15][0xF24])
#define SNDREG51 (gameboy_memory[15][0xF25])
#define SNDREG52 (gameboy_memory[15][0xF26])
#define LCDCONT (gameboy_memory[15][0xF40])
#define LCDSTAT (gameboy_memory[15][0xF41])
#define SCROLLY (gameboy_memory[15][0xF42])
#define SCROLLX (gameboy_memory[15][0xF43])
#define CURLINE (gameboy_memory[15][0xF44])
#define CMPLINE (gameboy_memory[15][0xF45])
#define DMACONT (gameboy_memory[15][0xF46])
#define BGRDPAL (gameboy_memory[15][0xF47])
#define OBJ0PAL (gameboy_memory[15][0xF48])
#define OBJ1PAL (gameboy_memory[15][0xF49])
#define WNDPOSY (gameboy_memory[15][0xF4A])
#define WNDPOSX (gameboy_memory[15][0xF4B])
#define IENABLE (gameboy_memory[15][0xFFF])

/* Gameboy Color Registers */
#define KEY1REG (gameboy_memory[15][0xF4D])
#define RPREG   (gameboy_memory[15][0xF56])
#define SVBKREG (gameboy_memory[15][0xF70])
#define VBKREG  (gameboy_memory[15][0xF4F])
#define HDMA1REG (gameboy_memory[15][0xF51])
#define HDMA2REG (gameboy_memory[15][0xF52])
#define HDMA3REG (gameboy_memory[15][0xF53])
#define HDMA4REG (gameboy_memory[15][0xF54])
#define HDMA5REG (gameboy_memory[15][0xF55])
#define BCPSREG  (gameboy_memory[15][0xF68])
#define BCPDREG  (gameboy_memory[15][0xF69])
#define OCPSREG  (gameboy_memory[15][0xF6A])
#define OCPDREG  (gameboy_memory[15][0xF6B])

#endif
